Bug 1303106 - (CVE-2016-2841) CVE-2016-2841 Qemu: net: ne2000: infinite loop in ne2000_receive
CVE-2016-2841 Qemu: net: ne2000: infinite loop in ne2000_receive
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160202,reported=2...
: Security
Depends On: 1304047 1304048
Blocks: 1303107
  Show dependency treegraph
 
Reported: 2016-01-29 10:04 EST by Adam Mariš
Modified: 2017-09-12 11:30 EDT (History)
43 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An infinite-loop flaw was found in the QEMU emulator built with NE2000 NIC emulation support. The flaw could occur when receiving packets over the network. A privileged user inside a guest could exploit this flaw to crash the QEMU instance (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-29 10:04:33 EST
Qemu emulator built with the NE2000 NIC emulation support is vulnerable to an infinite loop issue. It could occur when receiving packets over the network.

A privileged user inside guest could use this flaw to crash the Qemu instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-02/msg06126.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/03/02/8
Comment 1 Adam Mariš 2016-01-29 16:39:39 EST
Acknowledgments:

Red Hat would like to thank Hongke Yang of Huawei Technologies Co. Ltd. for reporting this issue.
Comment 2 Prasad J Pandit 2016-02-02 12:58:01 EST
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Prasad J Pandit 2016-02-02 13:04:59 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1304048]
Comment 4 Prasad J Pandit 2016-02-02 13:05:18 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1304047]
Comment 5 Fedora Update System 2016-03-19 17:23:11 EDT
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-19 22:27:06 EDT
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-23 18:22:50 EDT
qemu-2.4.1-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-26 14:00:35 EDT
qemu-2.5.0-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-08 16:23:52 EDT
qemu-2.3.1-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.